#
# spec file for package librcc0 (Version 0.2.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           librcc0
Version:        0.2.9
Release:        1.1.1
License:        LGPLv2.1+
Summary:        Russian Charset Conversion Library
Url:            http://rusxmms.sourceforge.net
Group:          System/Libraries
Source0:        librcc-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM librcc-printf.diff csa@dside.dyndns.org
Patch1:         librcc-printf.diff
# PATCH-FIX-UPSTREAM librcc-0.2.9-suse-lint.diff csa@dside.dyndns.org
# -- remove rpmlint warnings
Patch2:         librcc-0.2.9-suse-lint.diff
# PATCH-FIX-UPSTREAM librcc-0.2.9-czech_config.patch lazy.kent.suse@gmail.com
# -- fix Czech locale code in config file
Patch3:         librcc-0.2.9-czech_config.patch
Patch4:         librcc-provide_prototype.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  aspell-devel librcd-devel libxml2-devel pkg-config
%if 0%{?suse_version} >= 1120
BuildRequires:  enca-devel
%endif
Requires:       rcc-runtime

%description
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

Authors:
--------
    Suren A. Chilingaryan <csa@dside.dyndns.org>

%package -n librcc-devel
License:        LGPLv2.1+
Summary:        Development Files for LibRCC
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description -n librcc-devel
Development files for the package LibRCC.

Authors:
--------
    Suren A. Chilingaryan <csa@dside.dyndns.org>

%package -n rcc-runtime
License:        LGPLv2.1+
Summary:        LibRCC Runtime Environment
Group:          Productivity/Text/Convertors

%description -n rcc-runtime
Runtime environment for the package LibRCC.

Authors:
--------
    Suren A. Chilingaryan <csa@dside.dyndns.org>

%prep
%setup -qn librcc-%{version}
%patch1
%patch2
%patch3
%patch4

%build
./autogen.sh
%{configure} \
	--disable-static \
	--disable-bdb \
	--disable-libtranslate \
	--disable-gtk2
%{__make} %{?jobs:-j %jobs}

%install
%{makeinstall}
%{__install} -Dm 644 examples/rcc.xml %{buildroot}%{_sysconfdir}/rcc.xml
%{__rm} -f %{buildroot}%{_libdir}/{*.la,rcc/engines/*.la}
%{__rm} -rf %{_builddir}/librcc-%{version}/examples/{.deps,Makefile}

%clean
[ %{buildroot} != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/librcc.so.*
%{_libdir}/librccui.so.*

%files -n librcc-devel
%defattr(-,root,root)
%doc docs examples
%{_includedir}/*
%{_libdir}/lib*.so

%files -n rcc-runtime
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/rcc
%config(noreplace) %{_sysconfdir}/rcc.xml

%changelog
* Wed May 26 2010 pth@suse.de
- Fixx rccFree definition and all its callers.
* Fri Apr  2 2010 lazy.kent.suse@gmail.com
- add COPYING
* Sun Mar 14 2010 lazy.kent.suse@gmail.com
- fix Czech locale code in config file
* Thu Mar 11 2010 lazy.kent.suse@gmail.com
- split off runtime package
- remove rpmlint warnings
* Mon Mar  8 2010 lazy.kent.suse@gmail.com
- spec-file reworked
- don't build GTK UI
* Sat Feb 13 2010 csa@dside.dyndns.org
  New version
